=== debian/control ===
Source: ros-galactic-rcl-logging-spdlog
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libspdlog-dev, ros-galactic-ament-cmake-ros, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-performance-test-fixture <!nocheck>, ros-galactic-rcl-logging-interface, ros-galactic-rcpputils, ros-galactic-rcutils, ros-galactic-spdlog-vendor, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rcl-logging-spdlog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libspdlog-dev, ros-galactic-rcl-logging-interface, ros-galactic-rcpputils, ros-galactic-rcutils, ros-galactic-spdlog-vendor, ros-galactic-ros-workspace
Description: Implementation of rcl_logging API for an spdlog backend.
